
//var mapData=epi_data.chart.filter(function (i,n){
//        return n.MEASUREMENT_UNIT=='Number' ;
//    });

var epi_data={"table": [
    {
      "AGECOHORT_STD":"All Ages", 
      "COUNTRY": "TURKEY", 
      "COUNTRY_CODE": "792", 
      "COUNTRY_NAME": "TURKEY", 
      "DISEASE": "Asthma", 
      "INCIDENCE": null, 
      "INC_HI": null, 
      "INC_LW": null, 
      "MEASUREMENT": "Prevalence", 
      "MEASUREMENT_UNIT": "Number", 
      "PREVALENCE": "2229022.95144", 
      "PREV_HI": "2517584.16169", 
      "PREV_LO": "1984285.97618", 
      "PrevRank": "2229022.95144", 
      "PrevRank_hi": "2517584.16169", 
      "PrevRank_lo": "1984285.97618", 
      "REGION": "AP", 
      "Ranking": "RANKING 10", 
      "SEX": "Female", 
      "SOURCE": "GBD", 
      "YEAR": "2017"
    }, 
    {
      "AGECOHORT_STD": "All Ages", 
      "COUNTRY": "BELARUS", 
      "COUNTRY_CODE": "112", 
      "COUNTRY_NAME": "BELARUS", 
      "DISEASE": "Asthma", 
      "INCIDENCE": null, 
      "INC_HI": null, 
      "INC_LW": null, 
      "MEASUREMENT": "Prevalence", 
      "MEASUREMENT_UNIT": "Number", 
      "PREVALENCE": "224115.227833", 
      "PREV_HI": "252566.107623", 
      "PREV_LO": "196377.828987", 
      "PrevRank": "224115.227833", 
      "PrevRank_hi": "252566.107623", 
      "PrevRank_lo": "196377.828987", 
      "REGION": "AP", 
      "Ranking": "RANKING 06", 
      "SEX": "Female", 
      "SOURCE": "GBD", 
      "YEAR": "2017"
    }, 
    {
      "AGECOHORT_STD": "All Ages", 
      "COUNTRY": "YEMEN", 
      "COUNTRY_CODE": "887", 
      "COUNTRY_NAME": "YEMEN", 
      "DISEASE": "Asthma", 
      "INCIDENCE": null, 
      "INC_HI": null, 
      "INC_LW": null, 
      "MEASUREMENT": "Prevalence", 
      "MEASUREMENT_UNIT": "Number", 
      "PREVALENCE": "692067.7717779999", 
      "PREV_HI": "807062.082544", 
      "PREV_LO": "589901.956848", 
      "PrevRank": "692067.7717779999", 
      "PrevRank_hi": "807062.082544", 
      "PrevRank_lo": "589901.956848", 
      "REGION": "REGION_NUL", 
      "Ranking": "RANKING 08", 
      "SEX": "Female", 
      "SOURCE": "GBD", 
      "YEAR": "2017"
    }, 
    {
      "AGECOHORT_STD": "All Ages", 
      "COUNTRY": "PHILIPPINES", 
      "COUNTRY_CODE": "608", 
      "COUNTRY_NAME": "PHILIPPINES", 
      "DISEASE": "Asthma", 
      "INCIDENCE": null, 
      "INC_HI": null, 
      "INC_LW": null, 
      "MEASUREMENT": "Prevalence", 
      "MEASUREMENT_UNIT": "Number", 
      "PREVALENCE": "3183174.65437", 
      "PREV_HI": "3661115.7326", 
      "PREV_LO": "2719475.53285", 
      "PrevRank": "3183174.65437", 
      "PrevRank_hi": "3661115.7326", 
      "PrevRank_lo": "2719475.53285", 
      "REGION": "AP", 
      "Ranking": "RANKING 10", 
      "SEX": "Female", 
      "SOURCE": "GBD", 
      "YEAR": "2017"
    }, 
    {
      "AGECOHORT_STD": "All Ages", 
      "COUNTRY": "UZBEKISTAN", 
      "COUNTRY_CODE": "860", 
      "COUNTRY_NAME": "UZBEKISTAN", 
      "DISEASE": "Asthma", 
      "INCIDENCE": null, 
      "INC_HI": null, 
      "INC_LW": null, 
      "MEASUREMENT": "Prevalence", 
      "MEASUREMENT_UNIT": "Number", 
      "PREVALENCE": "658215.220891", 
      "PREV_HI": "748744.602341", 
      "PREV_LO": "574069.665467", 
      "PrevRank": "658215.220891", 
      "PrevRank_hi": "748744.602341", 
      "PrevRank_lo": "574069.665467", 
      "REGION": "AP", 
      "Ranking": "RANKING 08", 
      "SEX": "Female", 
      "SOURCE": "GBD", 
      "YEAR": "2017"
    }, 
    {
      "AGECOHORT_STD": "All Ages", 
      "COUNTRY": "IRAN", 
      "COUNTRY_CODE": "364", 
      "COUNTRY_NAME": "IRAN", 
      "DISEASE": "Asthma", 
      "INCIDENCE": null, 
      "INC_HI": null, 
      "INC_LW": null, 
      "MEASUREMENT": "Prevalence", 
      "MEASUREMENT_UNIT": "Number", 
      "PREVALENCE": "1706261.87023", 
      "PREV_HI": "1930496.76391", 
      "PREV_LO": "1505933.65585", 
      "PrevRank": "1706261.87023", 
      "PrevRank_hi": "1930496.76391", 
      "PrevRank_lo": "1505933.65585", 
      "REGION": "AP", 
      "Ranking": "RANKING 09", 
      "SEX": "Female", 
      "SOURCE": "GBD", 
      "YEAR": "2017"
    }]};

var mapData=epi_data.table
// Creates a red marker with the coffee icon

//get geojson data
// $.ajaxSettings.async = false;
// var countryData;
// $.getJSON('/public/json/medium.geo.json', function(data) {
//     countryData = data;
// });

var mymap = L.map(map);
mymap.fitWorld().zoomIn();
//var mymap = L.map('mapViewId').setView([37.8, -96], 4);
//  https://{s}.basemaps.cartocdn.com/light_all/{z}/{x}/{y}{r}.png  
//  https://{s}.basemaps.cartocdn.com/light_nolabels/{z}/{x}/{y}{r}.png
//  http://{s}.tiles.wmflabs.org/bw-mapnik/{z}/{x}/{y}.png
//  https://server.arcgisonline.com/ArcGIS/rest/services/Canvas/World_Light_Gray_Base/MapServer/tile/{z}/{y}/{x}
//  https://{s}.basemaps.cartocdn.com/rastertiles/voyager/{z}/{x}/{y}{r}.png
var countryData = JSON.parse(countryJSON)

// console.log(countryData)
L.tileLayer('https://{s}.basemaps.cartocdn.com/rastertiles/voyager/{z}/{x}/{y}{r}.png', {
    maxZoom: 18,
    //attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
}).addTo(mymap);



// control that shows state info on hover
var info = L.control();
var geojson;

info.onAdd = function(map) {
    this._div = L.DomUtil.create("div", "info");
    this.update();
    return this._div;
};

info.update = function(props) {
    this._div.innerHTML =
        "<h5>Country EPI Information</h5>" +
        (props
            ? "<b>" + props.info.COUNTRY_NAME + "</b> <br/>" +
            (props.info.AGECOHORT_STD? "AGE COHORT: " + props.info.AGECOHORT_STD + "<br />":"") +
            //props.info.TA + "<br />" +
            (props.info.REGION ? "CSU REGION: " + props.info.REGION + "<br />":"") +
            (props.info.CSU? "CSU Cluster: " + props.info.CSU+ "<br />":"") +
            (props.info.DISEASE ? "DISEASE: " + props.info.DISEASE + "<br />":"") +
            //"INDICATION: " + props.info.INDICATION + "<br />" +
            (props.info.MEASUREMENT ? "MEASUREMENT: "+props.info.MEASUREMENT +"<br />":"") +
            (props.info.PrevRank ? "PrevRank: "+ props.info.PrevRank + "<br />":"") +
            (props.info.Ranking? "Ranking: "+ props.info.Ranking + "<br />":"") +
            (props.info.SEX ? "SEX: " + props.info.SEX + "<br />":"") +
            "YEAR: " +     props.info.YEAR + "<br />"
            : "Hover over a country");
};


info.addTo(mymap);



//getColor
function getColor(d) {
        return d == 'RANKING 01'  ? "#081d58" :
               d == 'RANKING 02'  ? "#253494" :
               d == 'RANKING 03' ? "#225ea8" :
               d == 'RANKING 04' ? "#1d91c0" :
               d == 'RANKING 05' ? "#41b6c4" :
               d == 'RANKING 06' ? "#7fcdbb" :
               d == 'RANKING 07' ? "#41ab5d" :
               d == 'RANKING 08' ? "#238b45" :
               d == 'RANKING 09' ? "#006d2c" :
                            "#00441b";
}
function style(feature) {
    return {
        fillColor: getColor(feature.info.Ranking),
        weight: 1,
        opacity: 1,
        color: 'white',
        dashArray: '1',
        fillOpacity: 0.8
    };
}
function highlightFeature(e) {
    var layer = e.target;

    layer.setStyle({
        weight: 1,
        color: '#d0d1e6',
        dashArray: '',
        fillOpacity: 0.6
    });

    if (!L.Browser.ie && !L.Browser.opera && !L.Browser.edge) {
        layer.bringToFront();
    }

    //info.update(layer.feature.properties);
    info.update(layer.feature);
}

function resetHighlight(e) {
    geojson.resetStyle(e.target);
    info.update();
}

function zoomToFeature(e) {
    map.fitBounds(e.target.getBounds());
}

function onEachFeature(feature, layer) {
    layer.on({
        mouseover: highlightFeature,
        mouseout: resetHighlight,
        click: zoomToFeature
    });
}


// zero padding
function pad(num, size) {
    var s = num+"";
    while (s.length < size) s = "0" + s;
    return s;
}

geojson = L.geoJson(newData, {
    style: style,
    onEachFeature: onEachFeature
}).addTo(mymap);
//loop map data
// add data
var newData = {"type":"FeatureCollection","features":[]}
for (var i=0; i<countryData.features.length; i++) {
        var country_name_i = countryData.features[i].properties.name.toUpperCase()
        var country_code_i = countryData.features[i].properties.iso_n3
    for (var j =0; j < epi_data.table.length; j++) {
        var country_name_j = epi_data.table[j].COUNTRY_NAME;
        var country_code_j = pad(epi_data.table[j].COUNTRY_CODE,3);
        if ((country_code_i == country_code_j) || (country_name_i === "UNITED STATES" && country_name_j === "UNITED STATES OF AMERICA")){
            var t = countryData.features[i]
            t.info = epi_data.table[j]
            newData.features.push(t);
        }

    }
};

var geoJson = L.geoJson(newData, {
    style: style,
    onEachFeature: onEachFeature
}).addTo(mymap);


//Legend
var legend = L.control({position: 'bottomleft'});
legend.onAdd = function (mymap) {
    var div = L.DomUtil.create('div', 'info legend');
        var labels = ['<strong>Categories</strong>'];
        var grades = ['RANKING 01', 'RANKING 02', 'RANKING 03', 'RANKING 04', 'RANKING 05', 'RANKING 06', 'RANKING 07', 'RANKING 08', 'RANKING 09', 'RANKING 10'];

    // loop through our density intervals and generate a label with a colored square for each interval
   for (var i = 0; i < grades.length; i++) {
         div.innerHTML +=
            '<i style="background:' + getColor(grades[i]) + ' "></i> ' +
            grades[i] + "   "+'<br>';
    }
    div.innerHTML = labels[0] + '<br>' +div.innerHTML;
    return div;
};

legend.addTo(mymap);


// var mapJson='[{"COUNTRY":"Albania","COUNTRY_CODE":"ALB","TOTAL_SCORE":0.0,"LATITUDE":41.1533,"LONGITUDE":20.1683},{"COUNTRY":"Algeria","COUNTRY_CODE":"DZA","TOTAL_SCORE":0.0,"LATITUDE":28.0339,"LONGITUDE":1.65963},{"COUNTRY":"Angola","COUNTRY_CODE":"AGO","TOTAL_SCORE":0.0,"LATITUDE":-11.2027,"LONGITUDE":17.8739},{"COUNTRY":"Argentina","COUNTRY_CODE":"ARG","TOTAL_SCORE":0.0,"LATITUDE":-38.4161,"LONGITUDE":-63.6167},{"COUNTRY":"Armenia","COUNTRY_CODE":"ARM","TOTAL_SCORE":0.0,"LATITUDE":40.0691,"LONGITUDE":45.0382},{"COUNTRY":"Australia","COUNTRY_CODE":"AUS","TOTAL_SCORE":5.0,"LATITUDE":-25.2744,"LONGITUDE":133.775},{"COUNTRY":"Austria","COUNTRY_CODE":"AUT","TOTAL_SCORE":1.0,"LATITUDE":47.5162,"LONGITUDE":14.5501},{"COUNTRY":"Azerbaidjan","COUNTRY_CODE":"AZE","TOTAL_SCORE":0.0,"LATITUDE":40.1431,"LONGITUDE":47.5769},{"COUNTRY":"Bahrain","COUNTRY_CODE":"BHR","TOTAL_SCORE":0.0,"LATITUDE":25.9304,"LONGITUDE":50.6378},{"COUNTRY":"Bangladesh","COUNTRY_CODE":"BGD","TOTAL_SCORE":0.0,"LATITUDE":23.685,"LONGITUDE":90.3563},{"COUNTRY":"Belarus","COUNTRY_CODE":"BLR","TOTAL_SCORE":0.0,"LATITUDE":53.7098,"LONGITUDE":27.9534},{"COUNTRY":"Belgium","COUNTRY_CODE":"BEL","TOTAL_SCORE":5.0,"LATITUDE":50.5039,"LONGITUDE":4.46994},{"COUNTRY":"Benin","COUNTRY_CODE":"BEN","TOTAL_SCORE":0.0,"LATITUDE":9.30769,"LONGITUDE":2.31583},{"COUNTRY":"Bermuda","COUNTRY_CODE":"BMU","TOTAL_SCORE":0.0,"LATITUDE":32.3214,"LONGITUDE":-64.7574},{"COUNTRY":"Bolivia","COUNTRY_CODE":"BOL","TOTAL_SCORE":0.0,"LATITUDE":-16.2902,"LONGITUDE":-63.5887},{"COUNTRY":"Bosnia & Herzegovina","COUNTRY_CODE":"BIH","TOTAL_SCORE":0.0,"LATITUDE":43.9159,"LONGITUDE":17.6791},{"COUNTRY":"Botswana","COUNTRY_CODE":"BWA","TOTAL_SCORE":0.0,"LATITUDE":-22.3285,"LONGITUDE":24.6849},{"COUNTRY":"Brazil","COUNTRY_CODE":"BRA","TOTAL_SCORE":8.0,"LATITUDE":-14.235,"LONGITUDE":-51.9253},{"COUNTRY":"Bulgaria","COUNTRY_CODE":"BGR","TOTAL_SCORE":0.0,"LATITUDE":42.7339,"LONGITUDE":25.4858},{"COUNTRY":"Burkina Faso","COUNTRY_CODE":"BFA","TOTAL_SCORE":0.0,"LATITUDE":12.2383,"LONGITUDE":-1.56159},{"COUNTRY":"Burundi","COUNTRY_CODE":"BDI","TOTAL_SCORE":0.0,"LATITUDE":-3.37306,"LONGITUDE":29.9189},{"COUNTRY":"Cameroon","COUNTRY_CODE":"CMR","TOTAL_SCORE":0.0,"LATITUDE":7.36972,"LONGITUDE":12.3547},{"COUNTRY":"Canada","COUNTRY_CODE":"CAN","TOTAL_SCORE":6.0,"LATITUDE":56.1304,"LONGITUDE":-106.347},{"COUNTRY":"Central African Republic","COUNTRY_CODE":"CAF","TOTAL_SCORE":0.0,"LATITUDE":6.61111,"LONGITUDE":20.9394},{"COUNTRY":"Chile","COUNTRY_CODE":"CHL","TOTAL_SCORE":4.0,"LATITUDE":-35.6751,"LONGITUDE":-71.543},{"COUNTRY":"China","COUNTRY_CODE":"CHN","TOTAL_SCORE":7.0,"LATITUDE":35.8617,"LONGITUDE":104.195},{"COUNTRY":"Colombia","COUNTRY_CODE":"COL","TOTAL_SCORE":0.0,"LATITUDE":4.57087,"LONGITUDE":-74.2973},{"COUNTRY":"Congo","COUNTRY_CODE":"COG","TOTAL_SCORE":0.0,"LATITUDE":-0.228021,"LONGITUDE":15.8277},{"COUNTRY":"Costa Rica","COUNTRY_CODE":"CRI","TOTAL_SCORE":0.0,"LATITUDE":9.74892,"LONGITUDE":-83.7534},{"COUNTRY":"Croatia","COUNTRY_CODE":"HRV","TOTAL_SCORE":0.0,"LATITUDE":45.1,"LONGITUDE":15.2},{"COUNTRY":"Cuba","COUNTRY_CODE":"CUB","TOTAL_SCORE":0.0,"LATITUDE":21.5218,"LONGITUDE":-77.7812},{"COUNTRY":"Cyprus","COUNTRY_CODE":"CYP","TOTAL_SCORE":0.0,"LATITUDE":35.1264,"LONGITUDE":33.4299},{"COUNTRY":"Czech Republic","COUNTRY_CODE":"CZE","TOTAL_SCORE":5.0,"LATITUDE":49.8175,"LONGITUDE":15.473},{"COUNTRY":"Denmark","COUNTRY_CODE":"DNK","TOTAL_SCORE":0.0,"LATITUDE":56.2639,"LONGITUDE":9.50179},{"COUNTRY":"Djibouti Republic","COUNTRY_CODE":"DJI","TOTAL_SCORE":0.0,"LATITUDE":11.8251,"LONGITUDE":42.5903},{"COUNTRY":"Dominican Republic","COUNTRY_CODE":"DOM","TOTAL_SCORE":0.0,"LATITUDE":18.7357,"LONGITUDE":-70.1627},{"COUNTRY":"Ecuador","COUNTRY_CODE":"ECU","TOTAL_SCORE":0.0,"LATITUDE":-1.83124,"LONGITUDE":-78.1834},{"COUNTRY":"Egypt","COUNTRY_CODE":"EGY","TOTAL_SCORE":0.0,"LATITUDE":26.8206,"LONGITUDE":30.8025},{"COUNTRY":"El Salvador","COUNTRY_CODE":"SLV","TOTAL_SCORE":0.0,"LATITUDE":13.7942,"LONGITUDE":-88.8965},{"COUNTRY":"Estonia","COUNTRY_CODE":"EST","TOTAL_SCORE":7.0,"LATITUDE":58.5953,"LONGITUDE":25.0136},{"COUNTRY":"Ethiopia","COUNTRY_CODE":"ETH","TOTAL_SCORE":0.0,"LATITUDE":9.145,"LONGITUDE":40.4897},{"COUNTRY":"Finland","COUNTRY_CODE":"FIN","TOTAL_SCORE":1.0,"LATITUDE":61.9241,"LONGITUDE":25.7482},{"COUNTRY":"France","COUNTRY_CODE":"FRA","TOTAL_SCORE":4.0,"LATITUDE":46.2276,"LONGITUDE":2.21375},{"COUNTRY":"Gabon","COUNTRY_CODE":"GAB","TOTAL_SCORE":0.0,"LATITUDE":-0.803689,"LONGITUDE":11.6094},{"COUNTRY":"Gambia","COUNTRY_CODE":"GMB","TOTAL_SCORE":0.0,"LATITUDE":13.4432,"LONGITUDE":-15.3101},{"COUNTRY":"Georgia","COUNTRY_CODE":"GEO","TOTAL_SCORE":0.0,"LATITUDE":42.3154,"LONGITUDE":43.3569},{"COUNTRY":"Germany","COUNTRY_CODE":"DEU","TOTAL_SCORE":4.0,"LATITUDE":51.1657,"LONGITUDE":10.4515},{"COUNTRY":"Ghana","COUNTRY_CODE":"GHA","TOTAL_SCORE":0.0,"LATITUDE":7.94653,"LONGITUDE":-1.02319},{"COUNTRY":"Greece","COUNTRY_CODE":"GRC","TOTAL_SCORE":6.0,"LATITUDE":39.0742,"LONGITUDE":21.8243},{"COUNTRY":"Guatemala","COUNTRY_CODE":"GTM","TOTAL_SCORE":0.0,"LATITUDE":15.7835,"LONGITUDE":-90.2308},{"COUNTRY":"Guinea","COUNTRY_CODE":"GIN","TOTAL_SCORE":0.0,"LATITUDE":9.94559,"LONGITUDE":-9.69664},{"COUNTRY":"Guyana & Suriname","COUNTRY_CODE":"GUY","TOTAL_SCORE":0.0,"LATITUDE":4.86042,"LONGITUDE":-58.9302},{"COUNTRY":"Haiti","COUNTRY_CODE":"HTI","TOTAL_SCORE":0.0,"LATITUDE":18.9712,"LONGITUDE":-72.2852},{"COUNTRY":"Honduras","COUNTRY_CODE":"HND","TOTAL_SCORE":0.0,"LATITUDE":15.2,"LONGITUDE":-86.2419},{"COUNTRY":"Hong Kong, region of China","COUNTRY_CODE":"HKG","TOTAL_SCORE":8.0,"LATITUDE":22.3964,"LONGITUDE":114.109},{"COUNTRY":"Hungary","COUNTRY_CODE":"HUN","TOTAL_SCORE":7.0,"LATITUDE":47.1625,"LONGITUDE":19.5033},{"COUNTRY":"Iceland","COUNTRY_CODE":"ISL","TOTAL_SCORE":0.0,"LATITUDE":64.9631,"LONGITUDE":-19.0208},{"COUNTRY":"India","COUNTRY_CODE":"IND","TOTAL_SCORE":0.0,"LATITUDE":20.5937,"LONGITUDE":78.9629},{"COUNTRY":"Indonesia","COUNTRY_CODE":"IDN","TOTAL_SCORE":0.0,"LATITUDE":-0.789275,"LONGITUDE":113.921},{"COUNTRY":"Irak","COUNTRY_CODE":"IRQ","TOTAL_SCORE":0.0,"LATITUDE":33.2232,"LONGITUDE":43.6793},{"COUNTRY":"Iran Islamic Republic","COUNTRY_CODE":"IRN","TOTAL_SCORE":0.0,"LATITUDE":32.4279,"LONGITUDE":53.688},{"COUNTRY":"Ireland","COUNTRY_CODE":"IRL","TOTAL_SCORE":0.0,"LATITUDE":53.4129,"LONGITUDE":-8.24389},{"COUNTRY":"Israel","COUNTRY_CODE":"ISR","TOTAL_SCORE":0.0,"LATITUDE":31.0461,"LONGITUDE":34.8516},{"COUNTRY":"Italy","COUNTRY_CODE":"ITA","TOTAL_SCORE":7.0,"LATITUDE":41.8719,"LONGITUDE":12.5674},{"COUNTRY":"Ivory Coast","COUNTRY_CODE":"CIV","TOTAL_SCORE":0.0,"LATITUDE":7.53999,"LONGITUDE":-5.54708},{"COUNTRY":"Jamaica","COUNTRY_CODE":"JAM","TOTAL_SCORE":0.0,"LATITUDE":18.1096,"LONGITUDE":-77.2975},{"COUNTRY":"Japan","COUNTRY_CODE":"JPN","TOTAL_SCORE":4.0,"LATITUDE":36.2048,"LONGITUDE":138.253},{"COUNTRY":"Jordan","COUNTRY_CODE":"JOR","TOTAL_SCORE":0.0,"LATITUDE":30.5852,"LONGITUDE":36.2384},{"COUNTRY":"Kazakhstan","COUNTRY_CODE":"KAZ","TOTAL_SCORE":0.0,"LATITUDE":48.0196,"LONGITUDE":66.9237},{"COUNTRY":"Kenya","COUNTRY_CODE":"KEN","TOTAL_SCORE":0.0,"LATITUDE":-0.023559,"LONGITUDE":37.9062},{"COUNTRY":"Kindom of Saudi Arabia","COUNTRY_CODE":"SAU","TOTAL_SCORE":0.0,"LATITUDE":23.8859,"LONGITUDE":45.0792},{"COUNTRY":"Kirgizstan","COUNTRY_CODE":"KGZ","TOTAL_SCORE":0.0,"LATITUDE":41.2044,"LONGITUDE":74.7661},{"COUNTRY":"Kuwait","COUNTRY_CODE":"KWT","TOTAL_SCORE":0.0,"LATITUDE":29.3117,"LONGITUDE":47.4818},{"COUNTRY":"Latvia","COUNTRY_CODE":"LVA","TOTAL_SCORE":0.0,"LATITUDE":56.8796,"LONGITUDE":24.6032},{"COUNTRY":"Lebanon","COUNTRY_CODE":"LBN","TOTAL_SCORE":0.0,"LATITUDE":33.8547,"LONGITUDE":35.8623},{"COUNTRY":"Liberia","COUNTRY_CODE":"LBR","TOTAL_SCORE":0.0,"LATITUDE":6.42805,"LONGITUDE":-9.4295},{"COUNTRY":"Lithuania","COUNTRY_CODE":"LTU","TOTAL_SCORE":5.0,"LATITUDE":55.1694,"LONGITUDE":23.8813},{"COUNTRY":"Luxemburg","COUNTRY_CODE":"LUX","TOTAL_SCORE":0.0,"LATITUDE":49.8153,"LONGITUDE":6.12958},{"COUNTRY":"Madagascar","COUNTRY_CODE":"MDG","TOTAL_SCORE":0.0,"LATITUDE":-18.7669,"LONGITUDE":46.8691},{"COUNTRY":"Malawi","COUNTRY_CODE":"MWI","TOTAL_SCORE":0.0,"LATITUDE":-13.2543,"LONGITUDE":34.3015},{"COUNTRY":"Malaysia","COUNTRY_CODE":"MYS","TOTAL_SCORE":0.0,"LATITUDE":4.21048,"LONGITUDE":101.976},{"COUNTRY":"Mali","COUNTRY_CODE":"MLI","TOTAL_SCORE":0.0,"LATITUDE":17.5707,"LONGITUDE":-3.99617},{"COUNTRY":"Malta","COUNTRY_CODE":"MLT","TOTAL_SCORE":0.0,"LATITUDE":35.9375,"LONGITUDE":14.3754},{"COUNTRY":"Mauritania","COUNTRY_CODE":"MRT","TOTAL_SCORE":0.0,"LATITUDE":21.0079,"LONGITUDE":-10.9408},{"COUNTRY":"Mauritius","COUNTRY_CODE":"MUS","TOTAL_SCORE":0.0,"LATITUDE":-20.3484,"LONGITUDE":57.5522},{"COUNTRY":"Mexico","COUNTRY_CODE":"MEX","TOTAL_SCORE":0.0,"LATITUDE":23.6345,"LONGITUDE":-102.553},{"COUNTRY":"Moldova","COUNTRY_CODE":"MDA","TOTAL_SCORE":0.0,"LATITUDE":47.4116,"LONGITUDE":28.3699},{"COUNTRY":"Montenegro","COUNTRY_CODE":"MNE","TOTAL_SCORE":0.0,"LATITUDE":42.7087,"LONGITUDE":19.3744},{"COUNTRY":"Morocco","COUNTRY_CODE":"MAR","TOTAL_SCORE":0.0,"LATITUDE":31.7917,"LONGITUDE":-7.09262},{"COUNTRY":"Mozambique","COUNTRY_CODE":"MOZ","TOTAL_SCORE":0.0,"LATITUDE":-18.6657,"LONGITUDE":35.5296},{"COUNTRY":"Namibia","COUNTRY_CODE":"NAM","TOTAL_SCORE":0.0,"LATITUDE":-22.9576,"LONGITUDE":18.4904},{"COUNTRY":"Nepal","COUNTRY_CODE":"NPL","TOTAL_SCORE":0.0,"LATITUDE":28.3949,"LONGITUDE":84.124},{"COUNTRY":"Netherlands","COUNTRY_CODE":"NLD","TOTAL_SCORE":8.0,"LATITUDE":52.1326,"LONGITUDE":5.29127},{"COUNTRY":"New Zealand","COUNTRY_CODE":"NZL","TOTAL_SCORE":0.0,"LATITUDE":-40.9006,"LONGITUDE":174.886},{"COUNTRY":"Nicaragua","COUNTRY_CODE":"NIC","TOTAL_SCORE":0.0,"LATITUDE":12.8654,"LONGITUDE":-85.2072},{"COUNTRY":"Niger","COUNTRY_CODE":"NER","TOTAL_SCORE":0.0,"LATITUDE":17.6078,"LONGITUDE":8.08167},{"COUNTRY":"Nigeria","COUNTRY_CODE":"NGA","TOTAL_SCORE":0.0,"LATITUDE":9.082,"LONGITUDE":8.67528},{"COUNTRY":"Norway","COUNTRY_CODE":"NOR","TOTAL_SCORE":2.0,"LATITUDE":60.472,"LONGITUDE":8.46895},{"COUNTRY":"Oman","COUNTRY_CODE":"OMN","TOTAL_SCORE":0.0,"LATITUDE":21.5126,"LONGITUDE":55.9233},{"COUNTRY":"Pakistan","COUNTRY_CODE":"PAK","TOTAL_SCORE":0.0,"LATITUDE":30.3753,"LONGITUDE":69.3451},{"COUNTRY":"Panama","COUNTRY_CODE":"PAN","TOTAL_SCORE":0.0,"LATITUDE":8.53798,"LONGITUDE":-80.7821},{"COUNTRY":"Paraguay","COUNTRY_CODE":"PRY","TOTAL_SCORE":0.0,"LATITUDE":-23.4425,"LONGITUDE":-58.4438},{"COUNTRY":"Peru","COUNTRY_CODE":"PER","TOTAL_SCORE":0.0,"LATITUDE":-9.18997,"LONGITUDE":-75.0152},{"COUNTRY":"Philippines","COUNTRY_CODE":"PHL","TOTAL_SCORE":0.0,"LATITUDE":12.8797,"LONGITUDE":121.774},{"COUNTRY":"Poland","COUNTRY_CODE":"POL","TOTAL_SCORE":7.0,"LATITUDE":51.9194,"LONGITUDE":19.1451},{"COUNTRY":"Portugal","COUNTRY_CODE":"PRT","TOTAL_SCORE":0.0,"LATITUDE":39.3999,"LONGITUDE":-8.22445},{"COUNTRY":"Puerto Rico","COUNTRY_CODE":"PRI","TOTAL_SCORE":0.0,"LATITUDE":18.2208,"LONGITUDE":-66.5901},{"COUNTRY":"Qatar","COUNTRY_CODE":"QAT","TOTAL_SCORE":0.0,"LATITUDE":25.3548,"LONGITUDE":51.1839},{"COUNTRY":"Rep of Macedonia","COUNTRY_CODE":"MKD","TOTAL_SCORE":0.0,"LATITUDE":41.6086,"LONGITUDE":21.7453},{"COUNTRY":"Romania","COUNTRY_CODE":"ROU","TOTAL_SCORE":7.0,"LATITUDE":45.9432,"LONGITUDE":24.9668},{"COUNTRY":"Russia","COUNTRY_CODE":"RUS","TOTAL_SCORE":7.0,"LATITUDE":61.524,"LONGITUDE":105.319},{"COUNTRY":"Rwanda","COUNTRY_CODE":"RWA","TOTAL_SCORE":0.0,"LATITUDE":-1.94028,"LONGITUDE":29.8739},{"COUNTRY":"Senegal","COUNTRY_CODE":"SEN","TOTAL_SCORE":0.0,"LATITUDE":14.4974,"LONGITUDE":-14.4524},{"COUNTRY":"Serbia","COUNTRY_CODE":"SRB","TOTAL_SCORE":0.0,"LATITUDE":44.0165,"LONGITUDE":21.0059},{"COUNTRY":"Seychelles","COUNTRY_CODE":"SYC","TOTAL_SCORE":0.0,"LATITUDE":-4.67957,"LONGITUDE":55.492},{"COUNTRY":"Sierra Leone","COUNTRY_CODE":"SLE","TOTAL_SCORE":0.0,"LATITUDE":8.46056,"LONGITUDE":-11.7799},{"COUNTRY":"Singapore","COUNTRY_CODE":"SGP","TOTAL_SCORE":8.0,"LATITUDE":1.35208,"LONGITUDE":103.82},{"COUNTRY":"Slovakia","COUNTRY_CODE":"SVK","TOTAL_SCORE":0.0,"LATITUDE":48.669,"LONGITUDE":19.699},{"COUNTRY":"Slovenia","COUNTRY_CODE":"SVN","TOTAL_SCORE":0.0,"LATITUDE":46.1512,"LONGITUDE":14.9955},{"COUNTRY":"Somalia","COUNTRY_CODE":"SOM","TOTAL_SCORE":0.0,"LATITUDE":5.15215,"LONGITUDE":46.1996},{"COUNTRY":"South Africa","COUNTRY_CODE":"ZAF","TOTAL_SCORE":0.0,"LATITUDE":-30.5595,"LONGITUDE":22.9375},{"COUNTRY":"South Korea","COUNTRY_CODE":"KOR","TOTAL_SCORE":7.0,"LATITUDE":35.9078,"LONGITUDE":127.767},{"COUNTRY":"Spain","COUNTRY_CODE":"ESP","TOTAL_SCORE":9.0,"LATITUDE":40.4637,"LONGITUDE":-3.74922},{"COUNTRY":"Sri Lanka","COUNTRY_CODE":"LKA","TOTAL_SCORE":0.0,"LATITUDE":7.87305,"LONGITUDE":80.7718},{"COUNTRY":"Sudan","COUNTRY_CODE":"SDN","TOTAL_SCORE":0.0,"LATITUDE":12.8628,"LONGITUDE":30.2176},{"COUNTRY":"Sweden","COUNTRY_CODE":"SWE","TOTAL_SCORE":6.0,"LATITUDE":60.1282,"LONGITUDE":18.6435},{"COUNTRY":"Switzerland","COUNTRY_CODE":"CHE","TOTAL_SCORE":0.0,"LATITUDE":46.8182,"LONGITUDE":8.22751},{"COUNTRY":"Syria","COUNTRY_CODE":"SYR","TOTAL_SCORE":0.0,"LATITUDE":34.8021,"LONGITUDE":38.9968},{"COUNTRY":"Taiwan, region of China","COUNTRY_CODE":"TWN","TOTAL_SCORE":3.0,"LATITUDE":23.6978,"LONGITUDE":120.961},{"COUNTRY":"Tajikistan","COUNTRY_CODE":"TJK","TOTAL_SCORE":0.0,"LATITUDE":38.861,"LONGITUDE":71.2761},{"COUNTRY":"Tanzania","COUNTRY_CODE":"TZA","TOTAL_SCORE":0.0,"LATITUDE":-6.36903,"LONGITUDE":34.8888},{"COUNTRY":"Tchad","COUNTRY_CODE":"TCD","TOTAL_SCORE":0.0,"LATITUDE":15.4542,"LONGITUDE":18.7322},{"COUNTRY":"Thailand","COUNTRY_CODE":"THA","TOTAL_SCORE":0.0,"LATITUDE":15.87,"LONGITUDE":100.993},{"COUNTRY":"Togo","COUNTRY_CODE":"TGO","TOTAL_SCORE":0.0,"LATITUDE":8.61954,"LONGITUDE":0.824782},{"COUNTRY":"Trinidad &Tobago","COUNTRY_CODE":"TTO","TOTAL_SCORE":0.0,"LATITUDE":10.6918,"LONGITUDE":-61.2225},{"COUNTRY":"Tunisia","COUNTRY_CODE":"TUN","TOTAL_SCORE":0.0,"LATITUDE":33.8869,"LONGITUDE":9.5375},{"COUNTRY":"Turkey","COUNTRY_CODE":"TUR","TOTAL_SCORE":0.0,"LATITUDE":38.9637,"LONGITUDE":35.2433},{"COUNTRY":"Turkmenistan","COUNTRY_CODE":"TKM","TOTAL_SCORE":0.0,"LATITUDE":38.9697,"LONGITUDE":59.5563},{"COUNTRY":"Uganda","COUNTRY_CODE":"UGA","TOTAL_SCORE":0.0,"LATITUDE":1.37333,"LONGITUDE":32.2903},{"COUNTRY":"UK","COUNTRY_CODE":"GBR","TOTAL_SCORE":5.0,"LATITUDE":55.3781,"LONGITUDE":-3.43597},{"COUNTRY":"Ukraine","COUNTRY_CODE":"UKR","TOTAL_SCORE":7.0,"LATITUDE":48.3794,"LONGITUDE":31.1656},{"COUNTRY":"United Arab Emirates","COUNTRY_CODE":"ARE","TOTAL_SCORE":0.0,"LATITUDE":23.4241,"LONGITUDE":53.8478},{"COUNTRY":"Uruguay","COUNTRY_CODE":"URY","TOTAL_SCORE":0.0,"LATITUDE":-32.5228,"LONGITUDE":-55.7658},{"COUNTRY":"USA","COUNTRY_CODE":"USA","TOTAL_SCORE":4.0,"LATITUDE":37.0902,"LONGITUDE":-95.7129},{"COUNTRY":"Uzbekistan","COUNTRY_CODE":"UZB","TOTAL_SCORE":0.0,"LATITUDE":41.3775,"LONGITUDE":64.5853},{"COUNTRY":"Venezuela","COUNTRY_CODE":"VEN","TOTAL_SCORE":0.0,"LATITUDE":6.42375,"LONGITUDE":-66.5897},{"COUNTRY":"Vietnam","COUNTRY_CODE":"VNM","TOTAL_SCORE":0.0,"LATITUDE":14.0583,"LONGITUDE":108.277},{"COUNTRY":"West Indies","COUNTRY_CODE":"FWI","TOTAL_SCORE":0.0,"LATITUDE":0.0,"LONGITUDE":0.0},{"COUNTRY":"Zambia","COUNTRY_CODE":"ZMB","TOTAL_SCORE":0.0,"LATITUDE":-13.1339,"LONGITUDE":27.8493},{"COUNTRY":"Zimbabwe","COUNTRY_CODE":"ZWE","TOTAL_SCORE":0.0,"LATITUDE":-19.0154,"LONGITUDE":29.1549}]'
// var mapData=JSON.parse(mapJson)
// var countryData=JSON.parse(countryJSON)

// var mymap = L.map('map').setView([30,0], 1);

// mymap.fitWorld().zoomIn();


// var Esri_WorldTopoMap = L.tileLayer('https://server.arcgisonline.com/ArcGIS/rest/services/World_Topo_Map/MapServer/tile/{z}/{y}/{x}', {
// 	attribution: 'Tiles &copy; Esri &mdash; Esri, DeLorme, NAVTEQ, TomTom, Intermap, iPC, USGS, FAO, NPS, NRCAN, GeoBase, Kadaster NL, Ordnance Survey, Esri Japan, METI, Esri China (Hong Kong), and the GIS User Community'
// }).addTo(mymap);



// var divIcon = L.divIcon({ 
// html: "textToDisplay"
// })

// // control that shows state info on hover
// var info = L.control();
// var geojson;

// info.onAdd = function (map) {
//   this._div = L.DomUtil.create('div', 'info');
//   this.update();
//   return this._div;
// };

// info.update = function (props) {
//   this._div.innerHTML = '<h4 style="text-align:right">Country Performance</h4>' +  (props ?
//     `<p style="text-align:right">
//        <span style="font-size:30px; color:darkgrey" class="country">
//            ${props.info.COUNTRY}
//        </span>
//        <small>     score </small>
//        <big style="font-size:30px; color:darkgrey" class="score">
//        ${props.info.TOTAL_SCORE}</big>
//      </p>`
//     : '<div style="text-align:center">Hover over a country</div>');
// };

// info.addTo(mymap);


// // get color depending on population density value

// // var accent = d3.interpolate("blue", "grey");
// // var magnitude = d3.scaleSequentialLog(accent)//.domain([0, 10])

// var custoColor = d3.scaleLinear().domain([Math.min(...mapData.map(i => i.TOTAL_SCORE)),Math.max(...mapData.map(i => i.TOTAL_SCORE))])
//     .range(["#B7E3CC", "#7B4B94"])
//     .interpolate(d3.interpolateHcl);




// function getColor(score, select) {
//   return custoColor(score)
// }


// var selected = ["USA", "CHN"]

// function checkSelected(select) {
//   if (selected == undefined || selected.length == 0 || selected.includes(select) ) {
//     return 1
//   } else {
//     return 0.2
//   }
  
// }


// function style(feature) {
//   return {
//       fillColor: getColor(feature.info.TOTAL_SCORE),
//       weight: checkSelected(feature.info.COUNTRY_CODE)/0.5,
//       opacity: 1,
//       color: 'white',
//       dashArray: '1',
//       fillOpacity: checkSelected(feature.info.COUNTRY_CODE)

//   };
// }




// function highlightFeature(e) {
//     var layer = e.target;

//     layer.setStyle({
//         weight: 1,
//         color: '#F29E4C',
//         dashArray: '',
//         fillOpacity: 0.8
//     });

//     if (!L.Browser.ie && !L.Browser.opera && !L.Browser.edge) {
//         layer.bringToFront();
//     }

//     //info.update(layer.feature.properties);
//     info.update(layer.feature);
// }

// function resetHighlight(e) {
//     geojson.resetStyle(e.target);
//     info.update();
  
// }




// function zoomToFeature(e) {
//     map.fitBounds(e.target.getBounds());
// }

// function onEachFeature(feature, layer) {
//     layer.on({
//         mouseover: highlightFeature,
//         mouseout: resetHighlight,
//         click: zoomToFeature
//     });
// }


// // zero padding
// function pad(num, size) {
//     var s = num+"";
//     while (s.length < size) s = "0" + s;
//     return s;
// }

// geojson = L.geoJson(newData, {
//     style: style,
//     onEachFeature: onEachFeature
// }).addTo(mymap);




// //loop map data
// var newData = {"type": "FeatureCollection","features": []}
// for (let i=0; i<countryData.features.length; i++) {
//         //country_name_i = countryData.features[i].properties.name.toUpperCase()
//         //country_code_i = countryData.features[i].properties.iso_n3
//         let country_short_i = countryData.features[i].properties.iso_a3
//     for (let j =0; j < mapData.length; j++) {
//         //country_name_j = mapData[j].COUNTRY;
//         let country_short_j = pad(mapData[j].COUNTRY_CODE,3);
//         if (country_short_i == country_short_j) {
//             let t = countryData.features[i]
//             t.info = mapData[j]
//             newData.features.push(t);
//         }

//     }
// };

// geojson = L.geoJson(newData, {
//     style: style,
//     onEachFeature: onEachFeature
// }).addTo(mymap);


// //Legend
// var legend = L.control({position: 'topleft'});
// legend.onAdd = function (mymap) {
  
//   var div = L.DomUtil.create('div', 'info legend');
//   var legendTitle = '<strong>Score</strong>';
//   var grades = mapData.map(i => i.TOTAL_SCORE)
//                       .filter((v, i, a) => a.indexOf(v) === i)
//                       .sort(function(a, b){return b-a});
//   for (var i = 0; i < grades.length; i++) {
//     div.innerHTML +=
//       `<g>
//          <i style="background:${getColor(grades[i])}" ></i>
//          ${grades[i]}<br>
//        </g>`;
//   }
//   div.innerHTML = legendTitle+'<br>'+div.innerHTML;
//   return div;
// };

// legend.addTo(mymap);
